summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--_linux/README.md2
-rw-r--r--_linux/i3/config4
-rw-r--r--_linux/tmux/tmux.conf (renamed from _linux/.tmux.conf)0
-rwxr-xr-xsetup.sh24
4 files changed, 27 insertions, 3 deletions
diff --git a/_linux/README.md b/_linux/README.md
index 57910f6..b337d4d 100644
--- a/_linux/README.md
+++ b/_linux/README.md
@@ -2,6 +2,6 @@
* `sudo apt install sxhkd` xdd
# links
-* `~/.tmux.conf` -> `./.tmux.conf`
+* `$XDG_CONFIG_HOME/tmux` -> `./tmux`
* `$XDG_CONFIG_HOME/i3` -> `./i3`
* `$XDG_CONFIG_HOME/i3status` -> `./i3status`
diff --git a/_linux/i3/config b/_linux/i3/config
index b64c090..4dbf18f 100644
--- a/_linux/i3/config
+++ b/_linux/i3/config
@@ -13,7 +13,7 @@ set $mod Mod4
# Font for window titles. Will also be used by the bar unless a different font
# is used in the bar {} block below.
-font pango:monospace 9
+font pango:monospace 10
# Start XDG autostart .desktop files using dex. See also
# https://wiki.archlinux.org/index.php/XDG_Autostart
@@ -58,7 +58,7 @@ floating_modifier $mod
tiling_drag modifier titlebar
# start a terminal
-bindsym $mod+Return exec alacritty
+bindsym $mod+Return exec st -f "Noto Sans Mono:style=Regular:size=12" -e tmux
bindsym $mod+w exec firefox
# kill focused window
diff --git a/_linux/.tmux.conf b/_linux/tmux/tmux.conf
index a7d8084..a7d8084 100644
--- a/_linux/.tmux.conf
+++ b/_linux/tmux/tmux.conf
diff --git a/setup.sh b/setup.sh
new file mode 100755
index 0000000..46b282e
--- /dev/null
+++ b/setup.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+set -e
+
+CFG="${XDG_CONFIG_HOME:-$HOME/.config}"
+echo $CFG
+
+link_helper () {
+ echo "$CFG/$1"
+ ln -s "$(realpath ./$1)" "$CFG" || true
+}
+
+linux_link_helper () {
+ echo "$CFG/$1"
+ ln -s "$(realpath ./_linux/$1)" "$CFG" || true
+}
+
+link_helper "espanso"
+link_helper "nvim"
+link_helper "kanata"
+link_helper "mpv"
+
+linux_link_helper "tmux"
+linux_link_helper "i3"
+linux_link_helper "i3status"